#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "ARM64a5364"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64"
#define ATL_DKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-O1 -mcpu=cortex-a53 -mtune=cortex-a53 -fexpensive-optimizations -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-O2 -mcpu=cortex-a53 -mtune=cortex-a53 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=33554432 -I/home/iurt/rpmbuild/BUILD/atlas-3.10.3-build/ATLAS/aarch64_aarch64/include -I/home/iurt/rpmbuild/BUILD/atlas-3.10.3-build/ATLAS/aarch64_aarch64/..//include -I/home/iurt/rpmbuild/BUILD/atlas-3.10.3-build/ATLAS/aarch64_aarch64/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64 -DWALL -DATL_NCPU=2 -mcpu=cortex-a53 -mtune=cortex-a53 -O2 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -f"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-O2 -mcpu=cortex-a53 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (Mageia 15.1.0-1.mga10) 15.1.0"
#define ATL_SKCVERS "gcc (Mageia 15.1.0-1.mga10) 15.1.0"
#define ATL_DMCVERS "gcc (Mageia 15.1.0-1.mga10) 15.1.0"
#define ATL_SMCVERS "gcc (Mageia 15.1.0-1.mga10) 15.1.0"
#define ATL_ICCVERS "gcc (Mageia 15.1.0-1.mga10) 15.1.0"
#define ATL_F77VERS "GNU Fortran (Mageia 15.1.0-1.mga10) 15.1.0"
#define ATL_SYSINFO "Linux ociaa1.mageia.org 6.6.14-desktop-2.mga9 #1 SMP PREEMPT_DYNAMIC Tue Jan 30 16:32:40 UTC 2024 aarch64 GNU/Linux"
#define ATL_DATE    "Sun Jun  1 08:26:58 UTC 2025"
#define ATL_UNAM    "iurt"
#define ATL_VERS    "3.10.3"

#endif
